<template>
  <nav class="ui-footer-link-group">
    <div class="ui-footer-link-group__label">{{ label }}</div>
    <ul>
      <li
        v-for="(item, index) in items"
        :key="index"
      >
        <ui-link v-bind="item"/>
      </li>
    </ul>
  </nav>
</template>

<script lang="ts">
import type { UiLinkProps } from '../UiLink'
import { defineComponent, PropType } from 'vue'
import { UiLink } from '../UiLink'

export default defineComponent({
  name: 'ui-footer-links-group',
  props: {
    label: {
      type: String,
      required: true,
    },
    items: {
      type: Array as PropType<UiLinkProps[]>,
      required: true,
      validator: (items) => Array.isArray(items) && items.length > 0,
    }
  },
  components: {
    UiLink,
  },
})
</script>


<style>
.ui-footer-link-group {
  flex-grow: 1;
  font-size: 14px;
}

.ui-footer-link-group__label {
  @apply uikit-text-white;
}
</style>